{% extends "base.html" %}
{% block content %}
<!DOCTYPE html>
<html>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <style>
        .flex{
            display: flex;
            flex-wrap: nowrap;
            align-items: center;
            justify-content: center;
            margin-left: 50px;
            margin-right: 50px;
        
        }
        #mePhoto{
            width: 500px;
            height: 550px;
            margin-top: 20px;
            margin-left: 20px;
            
        }
        #about{
            background-color: #ff5b5b;
            width: 500px;
            height: 550px;
            margin-top: 20px;
            margin-left: px;
            margin-right: 20px;
            text-align: center;
            font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
            font-size: 8vw;
            font-style: italic;
        }
        .flex > #flex_link1{
            background-color: #ffc3ad;
            width:  500px;
            text-align: center;
            line-height: 75px;
            font-size: 16px;
            margin-left: 20px;
            margin-bottom: 20px;
            font-size: 5vw;

        }
        .flex > #flex_link2{
            background-color: #ff8787;
            width: 500px;
            text-align: center;
            line-height: 75px;
            font-size: 16px;
            margin-right: 20px;
            margin-bottom: 20px;
            font-size: 5vw;
        }
        // Small devices (landscape phones, 576px and up)
        @media (min-width: 576px) { 
            .flex, #mePhoto, #about, #flex_link1, #flex_link1{
                width: 500px;
            }
         }

        // Medium devices (tablets, 768px and up)
        @media (min-width: 768px) { 
            .flex, #mePhoto, #about, #flex_link1, #flex_link1{
                width: 700px;
            }
         }

        // Large devices (desktops, 992px and up)
        @media (min-width: 992px) { 
            .flex, #mePhoto, #about, #flex_link1, #flex_link1{
                width: 900px;
            }
         }

        // Extra large devices (large desktops, 1200px and up)
        @media (min-width: 1200px) { 
            .flex, #mePhoto, #about, #flex_link1, #flex_link1{
                width: 1000px;
            }
         }
    </style>

    <head>
        <title>Firdhan Purnomo</title>
        <link rel='stylesheet' type='text/css' href="{% static 'css/stylesheet.css' %}"/>
    </head>
    <body id="homepage">
        <section>
            <p class="line1">Hi, I'm Firdhan Hilmy Purnomo
                <br>
                <b class="line2">I'm a student in faculty of Computer Science at 
                        University of Indonesia</b>
            </p>

            <div class="flex">
                <div><img id="mePhoto" src="{% static 'images/menu.jpg' %}" alt="My image" alt="Foto Firdhan"></div>
                <div id="about">
                    about me
                </div>
            </div>

            <div class="flex">
                <div id="flex_link1">My Profile</div>
                <div id="flex_link2"><a href="form.html">Contact me</a></div>
            </div>
            {% endblock %}
        
        </section>

        <footer>

        </footer>
    </body>
</html>